import { DomainEvent } from './domain-event.base';

export interface RewardExpiredPayload {
  userId: string;
  walletId: string;
  usdtAmount: string;
  hashpowerAmount: string;
}

export class RewardExpiredEvent extends DomainEvent {
  constructor(private readonly payload: RewardExpiredPayload) {
    super({
      aggregateId: payload.walletId,
      aggregateType: 'WalletAccount',
    });
  }

  getPayload(): RewardExpiredPayload {
    return this.payload;
  }
}
